#
# spec file for package ghc-hw-hspec-hedgehog
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name hw-hspec-hedgehog
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.1.0.5
Release:        2.2
Summary:        Interoperability between hspec and hedgehog
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-HUnit-devel
BuildRequires:  ghc-call-stack-devel
BuildRequires:  ghc-hedgehog-devel
BuildRequires:  ghc-hspec-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-transformers-devel

%description
Interoperability between hspec and hedgehog.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development
files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc README.md

%changelog
* Tue Jul 10 2018 psimons@suse.com
- Update hw-hspec-hedgehog to version 0.1.0.5.
  A detailed changelog is not available from upstream.
* Sun Apr 22 2018 psimons@suse.com
- Update hw-hspec-hedgehog to version 0.1.0.4.
  A more detailed change log is not available.
* Mon Apr  9 2018 psimons@suse.com
- Update hw-hspec-hedgehog to version 0.1.0.3.
  A more detailed change log is not available.
* Fri Mar 16 2018 psimons@suse.com
- Update hw-hspec-hedgehog to version 0.1.0.2.
  A more detailed change log is not available.
